<template>
	
	<CommonPageByDevice 
	ref="commonPageByDeviceRef"
	 navTitle="辅助终端管理"
	 searchTitle="搜索辅助终端名称" 
	 searchType="storeTerminal" 
	 :bottomBtnTitle="ak.ent.has('ENT_TERMINAL_ADD') ? '绑定设备' : null "
	 @bottomBtnClickFunc="bottomBtnClickFunc"
	 :reqTableDataFunc="reqTableDataFunc"
	  >
	</CommonPageByDevice>
</template>

<script setup>
import { reactive, ref } from 'vue'
import { onReachBottom, onUnload } from '@dcloudio/uni-app'
import emit from '@/commons/utils/emit.js'
import CommonPageByDevice from '../commons/CommonPageByDevice.vue'
import { reqLoad, API_URL_SYS_TERMINALS } from '@/http/apiManager.js'
import go from '@/commons/utils/go.js'
import DeviceCommonsRender from '@/pages/list/render/DeviceCommonsRender.vue'
import ak from '@/commons/utils/ak.js'

const commonPageByDeviceRef = ref()

// 监听 更新事件 
onUnload( () => uni.$off(emit.ENAME_REF_TERMINAL_LIST) )
uni.$on(emit.ENAME_REF_TERMINAL_LIST, function(data){
	commonPageByDeviceRef.value.refTable(true)
})


const reqTableDataFunc = (params) => {
  return reqLoad.list(API_URL_SYS_TERMINALS, params)
}

function bottomBtnClickFunc(){
	go.to('PAGES_APP_TERMINAL_CREATETERM')
}


const codeBind = reactive([
  {
    label: '扫码绑定',
    value: 'scanCode',
  },
  {
    label: '手动绑定',
    value: 'handBind',
    fun: () => {
      go.to('/pageDevice/hornManage/bindHorn')
    },
  },
])
const bindPopup = ref(null)


onReachBottom(() => {})
</script>

<style lang="scss" scoped>

</style>
